Eclipse compilation problem

Hanno Meyer-Thurow h.mth@web.de
Sat Feb 17 10:06:00 GMT 2007


On Sat, 17 Feb 2007 00:01:02 -0500
"Vladimír Lapáček" <vladimir.lapacek@gmail.com> wrote:

> Hi,

Hi Vladimir,

> I tried to compile the Eclipse package in Ubuntu using "gcj with
> generics" and got the following error:

That is a common jdk-1.5 issue. There is a workaround to this. Just set
the javac source and target flags to 1.5 to compile. I do it like this:

74 	        # no warnings / java5
75 	        find <SRCDIR> -type f -name '*.xml' -exec \
76 	                sed -r \
77 	                        -e "s/(\"compilerArg\" value=\")/\1-nowarn /g" \
78 	                        -e "s/(-encoding ISO-8859-1)/\1 -nowarn/g" \
79 	                        -e "s:(<property name=\"javacSource\" value=)\".*\":\1\"1.5\":" \
80 	                        -e "s:(<property name=\"javacTarget\" value=)\".*\":\1\"1.5\":" \
81 	                        -i {} \;


Regards,
Hanno



More information about the Java mailing list